<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>
  <div class="content">
    <%= form_for @ticket, url: admin_support_tickets_path, remote: true do |form| %>

      <%= error_message(@ticket) %>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Titulo</strong>
          <%= form.text_field :title, required: true, autofocus: true %>
        </div>
        <div class="column">
          <strong>Tipo de caso</strong>
          <%= form.select(:type_id,
                          Admin::Support::TicketType.where(is_active: true).collect {|type| [type.title.humanize, type.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Descripción</strong>
          <%= form.rich_text_area :comments,
                                  placeholder: 'Ayudanos a resolver mas rapido tu inconveniente.
                                  Con una buena descripción de tu caso podemos dar una solución mucho mas rápido' %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>¿Quieres compartir algun archivo de soporte? ¡Cargalo aquí!</strong>
          <%= form.file_field :file %>
          <small>Solo archivos PDF e imagenes no mayores a 2mb</small>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button', data: {confirm: '¿Esta seguro de esta información?'} %>
        </div>
      </div>

    <% end %>
  </div>

</div>

<script>
  $('.ui.dropdown').dropdown();
</script>
